TTF_GetFontStyle(3)

NAME
TTF_GetFontStyle - Query a font's current style.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

TTF_FontStyleFlags TTF_GetFontStyle(const TTF_Font *font);

DESCRIPTION
The font styles are a set of bit flags, OR'd together:

• TTF_STYLE_NORMAL (is zero)

• TTF_STYLE_BOLD

• TTF_STYLE_ITALIC

• TTF_STYLE_UNDERLINE

• TTF_STYLE_STRIKETHROUGH

FUNCTION PARAMETERS

font
    the font to query.

RETURN VALUE
( TTF_FontStyleFlags ) Returns the current font style, as a set of bit flags.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_SetFontStyle(3)